Get a lead
curl --request GET \
--url https://api.journeybee.io/v1/leads/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.journeybee.io/v1/leads/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.journeybee.io/v1/leads/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone_number": "<string>",
"company_name": "<string>",
"source": "<string>",
"rejected_reason": "<string>",
"direction": "<string>",
"partner": {
"uuid": "<string>",
"name": "<string>"
},
"created_by": {
"uuid": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>"
},
"tags": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"assigned_users": [
{
"uuid": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>"
}
],
"custom_fields": [
{
"uuid": "<string>",
"label": "<string>",
"value": {
"text": "<string>",
"number": 123,
"date": "<string>",
"boolean": true,
"select": 123,
"multi_select": [
123
]
},
"options": [
{
"id": 123,
"label": "<string>"
}
]
}
],
"created_at": "<string>",
"updated_at": "<string>"
}Leads
Get a lead
GET
/
leads
/
{uuid}
Get a lead
Authorizations
API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
200 - application/json
Default Response
Available options:
new, converted, rejected Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I